> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user tokenfavorites



## OpenAPI

````yaml get /user/{principal}/token/favorites
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/token/favorites:
    get:
      tags:
        - Users
        - User Token Favorites
      operationId: UserController_getTokenFavorites
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Paginated'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/TokenFavoriteEntity'
components:
  schemas:
    Paginated:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        count:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - data
        - count
        - page
        - limit
    TokenFavoriteEntity:
      type: object
      properties:
        user:
          type: string
        token:
          type: string
        date_created:
          format: date-time
          type: string
      required:
        - user
        - token
        - date_created

````